#include <iostream>
using namespace std;

int main()
{
    unsigned long long broj;
    cin >> broj;
    char cifra;
    short resenje = 0;
    do {
        cifra = broj % 10;
        if(cifra > 4) {
            resenje++;
            cifra -= 5;
        }
        if(cifra > 3) {
            resenje += 2;
            cifra -= 4;
        }
        if(cifra > 1) {
            resenje++;
            cifra -= 2;
        }
        if(cifra > 0) {
            resenje++;
            cifra--;
        }
    }
    while(broj /= 10);
    cout << resenje;
    return 0;
}